## node-mocha 1.20.1

=== Makefile ===

REPORTER ?= dot
TM_BUNDLE = JavaScript\ mocha.tmbundle
SRC = $(shell find lib -name "*.js" -type f | sort)
SUPPORT = $(wildcard support/*.js)

all: mocha.js

lib/browser/diff.js: node_modules/diff/diff.js
	cp node_modules/diff/diff.js lib/browser/diff.js

mocha.js: $(SRC) $(SUPPORT) lib/browser/diff.js
	@node support/compile $(SRC)
	@cat \
	  support/head.js \
	  _mocha.js \
	  support/tail.js \
	  support/foot.js \
	  > mocha.js

clean:
	rm -f mocha.js
	rm -fr lib-cov
	rm -f coverage.html

test-cov: lib-cov
	@COV=1 $(MAKE) test REPORTER=html-cov > coverage.html

lib-cov:
	@rm -fr ./$@
	@jscoverage lib $@

test: test-unit

test-all: test-bdd test-tdd test-qunit test-exports test-unit test-grep test-jsapi test-compilers test-sort test-glob test-requires test-reporters test-only

test-jsapi:
	@node test/jsapi

test-unit:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/acceptance/*.js \
		--growl \
		test/*.js

test-compilers:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--compilers coffee:coffee-script,foo:./test/compiler/foo \
		test/acceptance/test.coffee \
		test/acceptance/test.foo

test-requires:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--compilers coffee:coffee-script \
		--require test/acceptance/require/a.js \
		--require test/acceptance/require/b.coffee \
		--require test/acceptance/require/c.js \
		--require test/acceptance/require/d.coffee \
		test/acceptance/require/require.js

test-bdd:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui bdd \
		test/acceptance/interfaces/bdd

test-tdd:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui tdd \
		test/acceptance/interfaces/tdd

test-qunit:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui qunit \
		test/acceptance/interfaces/qunit

test-exports:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui exports \
		test/acceptance/interfaces/exports

test-grep:
	@./bin/mocha \
	  --reporter $(REPORTER) \
	  --grep fast \
	  test/acceptance/misc/grep

test-invert:
	@./bin/mocha \
	  --reporter $(REPORTER) \
	  --grep slow \
	  --invert \
	  test/acceptance/misc/grep

test-bail:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--bail \
		test/acceptance/misc/bail

test-async-only:
	@./bin/mocha \
	  --reporter $(REPORTER) \
	  --async-only \
	  test/acceptance/misc/asyncOnly

test-glob:
	@./test/acceptance/glob/glob.sh

test-reporters:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/reporters/*.js

test-only:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui tdd \
		test/acceptance/misc/only/tdd

	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui bdd \
		test/acceptance/misc/only/bdd

	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui qunit \
		test/acceptance/misc/only/qunit

test-sort:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--sort \
		test/acceptance/sort

non-tty:
	@./bin/mocha \
		--reporter dot \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/dot.out

	@echo dot:
	@cat /tmp/dot.out

	@./bin/mocha \
		--reporter list \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/list.out

	@echo list:
	@cat /tmp/list.out

	@./bin/mocha \
		--reporter spec \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/spec.out

	@echo spec:
	@cat /tmp/spec.out

tm:
	@open editors/$(TM_BUNDLE)

.PHONY: test-cov test-jsapi test-compilers watch test test-all test-bdd test-tdd test-qunit test-exports test-unit non-tty test-grep tm clean

=== debian/changelog ===
node-mocha (1.20.1-7) unstable; urgency=medium

  * Team upload
  * Fix http test (Closes: #858593 hopefully) 

 -- Bastien Roucariès <rouca@debian.org>  Mon, 27 Mar 2017 00:10:16 +0200

node-mocha (1.20.1-6) unstable; urgency=medium

  * There were more tcp ports involved in the test suite, changing them
    too (Closes: #858593 hopefully)
  * Update Vcs-Browser in d/control to use git instead of gitweb
  * Add LC_ALL to sort to make build reproducible (Closes: #856807) thanks
    Chris

 -- Paul Gevers <elbrus@debian.org>  Sun, 26 Mar 2017 21:14:56 +0200

node-mocha (1.20.1-5) unstable; urgency=medium

  * Team upload
  * Add NET traces to tests to enable debugging FTBFS on build daemons
    (thanks to broucaries on IRC for the suggestion)

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Mar 2017 21:54:41 +0100

node-mocha (1.20.1-4) unstable; urgency=medium

  * Team upload
  * Try to prevent FTBFS due to tests (Closes: #858593)
    - Increasing the timeout
    - Changing the tcp port number to an unofficial high port

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Mar 2017 09:05:02 +0100

node-mocha (1.20.1-3) unstable; urgency=medium

  * Team upload
  * Add dependency in mocha on libjs-mocha (Closes: #858497)

 -- Paul Gevers <elbrus@debian.org>  Thu, 23 Mar 2017 22:01:16 +0100

node-mocha (1.20.1-2) unstable; urgency=medium

  * Patch to remove customFds deprecation warning
  * Patch to remove CoffeeScript.register deprecation warning,
    Closes: #792065.
  * Symlink mocha.js, mocha.css from libjs-mocha to known places
    for node-mocha to be able to find them. Closes: #785302.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Apr 2016 00:43:45 +0200

node-mocha (1.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 15 Jun 2014 16:52:48 +0200

node-mocha (1.20.0-1) unstable; urgency=low

  * Initial release (Closes: #747416)

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 01 Jun 2014 22:09:59 +0200

=== debian/control ===
Source: node-mocha
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>, Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , nodejs
 , coffeescript
 , node-should
 , node-diff
 , node-growl
 , node-mkdirp
 , node-commander
 , node-debug
 , node-diff
 , node-glob
 , uglifyjs
Standards-Version: 3.9.7
Homepage: http://mochajs.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git

Package: mocha
Provides: node-mocha
Architecture: all
Suggests: node-jscoverage
Depends:
 ${misc:Depends}
 , libjs-mocha
 , nodejs
 , node-growl
 , node-jade
 , node-mkdirp
 , node-commander
 , node-debug
 , node-diff
 , node-glob
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-mocha
Architecture: all
Recommends: javascript-common
Depends:
 ${misc:Depends}
Description: simple, flexible, fun test framework - JavaScript library
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f mocha.min.js

override_dh_auto_build:
	dh_auto_build
	uglifyjs -o mocha.min.js mocha.js

override_dh_auto_test:
	NODE_DEBUG=net make test-all

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mocha-$1.tar.gz/ \
 https://github.com/visionmedia/mocha/tags .*/archive/v?([\d\.]+).tar.gz

## node-mocha 4.0.1

=== debian/changelog ===
node-mocha (4.0.1-3) unstable; urgency=medium

  * Team upload
  * Fix conflict with mocha.css (remove it from mocha.install)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Dec 2017 16:57:07 +0530

node-mocha (4.0.1-2) unstable; urgency=medium

  * Fix dependency on node-escape-string-regexp

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Dec 2017 10:42:59 +0100

node-mocha (4.0.1-1) unstable; urgency=medium

  * Team upload

  [ Leo Iannacone ]
  * Imported Upstream version 2.2.5
  * Bump Standards-Version 3.9.6
  * debian/control:
    - add node-jade as builddep
    - update homepage - thanks to Chris Lamb (closes: #773662)
  * Refresh patches
  * 0003_image_and_css_in_usr_share.patch: rename patch - install
    read mocha.css from usr/share
  * debian/copyright:
    - add entry about escape-string-regex and supports-color
    - update project urls
    - bump copyright years
  * debian/mocha.install:
    - install mocha.css in usr/share (closes: #785302)
    - install escape-string-regexp files
    - install supports-color files
  * debian/watch: update download url
  * Add autopkgtest suite

  [ Jérémy Lal ]
  * Imported Upstream version 2.4.5
  * Remove support/compile.js copyright

  [ Julien Puydt ]
  * Bump debian compat to 10.
  * Bump standards-version to 4.0.0.

  [ Pirate Praveen ]
  * Switch to webpack from browserify
  * change section, bump standards
  * update dependencies
  * fix fs issue
  * change test-all to test
  * add node-browser-stdout to depends

  [ Jérémy Lal ]
  * Remove old copyright statement
  * Fix old embedded modules
  * Build-Depends rimraf, expect.js
  * Remove old XS-Testsuite field
  * Run make test-node for autopkgtest
  * (Build)-Depend node-commander >= 2.11.0
  * Drop installchangelog override
  * Update copyright holders
  * Priority: optional
  * Secure Vcs uri

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Dec 2017 00:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: node-mocha
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Leo Iannacone <l3on@ubuntu.com>, Jérémy Lal <kapouer@melix.org>
+Uploaders: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends:
- debhelper (>= 8)
+ debhelper (>= 10)
  , dh-buildinfo
  , nodejs
- , coffeescript
- , node-should
- , node-diff
  , node-growl
+ , node-jade
  , node-mkdirp
- , node-commander
+ , node-commander (>= 2.11.0)
  , node-debug
  , node-diff
  , node-glob
+ , coffeescript
+ , node-should
  , uglifyjs
-Standards-Version: 3.9.7
-Homepage: http://mochajs.org/
+ , webpack
+ , node-escape-string-regexp
+ , node-he
+ , node-browser-stdout
+ , node-expect.js
+ , node-rimraf
+Standards-Version: 4.1.2
+Homepage: http://mochajs.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-mocha.git
 
 Package: mocha
 Provides: node-mocha
@@ -28,15 +34,18 @@
 Suggests: node-jscoverage
 Depends:
  ${misc:Depends}
- , libjs-mocha
  , nodejs
  , node-growl
  , node-jade
  , node-mkdirp
- , node-commander
+ , node-commander (>= 2.11.0)
  , node-debug
  , node-diff
  , node-glob
+ , node-escape-string-regexp
+ , node-supports-color
+ , node-he
+ , node-browser-stdout
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,5 @@
 	uglifyjs -o mocha.min.js mocha.js
 
 override_dh_auto_test:
-	NODE_DEBUG=net make test-all
+	make test-node
 
-override_dh_installchangelogs:
-	dh_installchangelogs -k History.md

=== debian/tests/control ===
Tests: require
Depends: node-mocha

Test-Command: make test-node
Depends: @, node-rimraf, node-expect.js, node-should

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mocha-$1.tar.gz/ \
 https://github.com/mochajs/mocha/tags .*/archive/v?([\d\.]+).tar.gz

## node-mocha 4.1.0+ds1

=== debian/changelog ===
node-mocha (4.1.0+ds1-2) unstable; urgency=medium

  * Bug fix: "missing-copyright-file /usr/share/doc/mocha/copyright",
    thanks to Thorsten Glaser (Closes: #900032).

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 May 2018 15:13:43 +0200

node-mocha (4.1.0+ds1-1) unstable; urgency=medium

  * Build docs

 -- Bastien Roucariès <rouca@debian.org>  Wed, 23 May 2018 13:27:18 +0200

node-mocha (4.1.0+ds-1) unstable; urgency=medium

  * Team upload
  * Add myself as uploaded
  * Do repack in order to use local library
  * New upstream version
  * Multi-Arch: foreign for libjs-mocha

 -- Bastien Roucariès <rouca@debian.org>  Thu, 17 May 2018 11:02:49 +0200

node-mocha (4.0.1-8) unstable; urgency=medium

  * Be nice with packager provides node-mocha with version.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 14 May 2018 17:45:47 +0200

node-mocha (4.0.1-7) unstable; urgency=medium

  * Fix ci by filtering stderr.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 12 May 2018 10:57:41 +0200

node-mocha (4.0.1-6) unstable; urgency=medium

  * Team upload.
  * Fix broken depends on node-mkdirp (Closes: #898457)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Fri, 11 May 2018 22:29:49 +0200

node-mocha (4.0.1-5) unstable; urgency=medium

  * Team upload
  * Fix breakage due to node-diff

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 May 2018 16:57:14 +0200

node-mocha (4.0.1-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Install correct readme
  * Include mocha.js and mocha.min.js in mocha

  [ Bastien Roucariès ]
  * Bump compat and policy
  * Bug fix: "manpage contains broken link", thanks to
    paolo.greppi@libpf.com</a>; (Closes: #876435).
  * Bug fix: "node-mocha FTBFS with nodejs 6.11.2: test failures", thanks
    to Adrian Bunk (Closes: #872613). Add missing depends.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 May 2018 14:33:53 +0200

=== debian/control ===
Source: node-mocha
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs (>= 6)
 , node-browser-stdout (>= 1.3.0) <!nocheck>
 , node-commander (>= 2.11.0) <!nocheck>
 , node-debug (>= 3.1) <!nocheck>
 , node-diff (>= 1.3) <!nocheck>
 , node-escape-string-regexp (>= 1.0.5) <!nocheck>
 , node-glob (>= 7.1.2) <!nocheck>
 , node-growl (>= 1.7.0) <!nocheck>
 , node-he (>= 1.1.1) <!nocheck>
 , node-mkdirp (>= 0.5.1) <!nocheck>
 , node-supports-color (>= 4.4.0) <!nocheck>
 , node-assert (>= 1.4.1) <!nocheck>
 , node-buffer (>= 4.9.1) <!nocheck>
 , coffeescript (>= 1.10.0) <!nocheck>
 , node-cross-spawn (>= 5.1.0) <!nocheck>
 , node-expect.js (>= 0.3.1) <!nocheck>
 , node-rimraf (>= 2.5.2) <!nocheck>
 , node-should (>= 8.4) <!nocheck>
 , node-through2 (>= 2.0.3) <!nocheck>
 , node-uglify (>= 2)
 , webpack (>= 3.5.6)
 , oxygen-icon-theme (>= 5:5.45.0)
 , jekyll (>= 3) <!nodoc>
Standards-Version: 4.1.4
Homepage: http://mochajs.org
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha

Package: mocha
Provides: node-mocha (= ${source:Version})
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends:
 ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout (>= 1.3.0)
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp (>= 1.0.5)
 , node-glob (>= 7.1.2)
 , node-growl (>= 1.7.0)
 , node-he (>= 1.1.1)
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , libjs-mocha (= ${source:Version})
 , oxygen-icon-theme (>= 5:5.45.0)
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-mocha
Architecture: all
Recommends: javascript-common
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: simple, flexible, fun test framework - JavaScript library
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,38 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -f mocha.js
 	rm -f mocha.min.js
+	rm -rf images
+	rm -rf docs/_site
 
 override_dh_auto_build:
+	mkdir -p images
+	ln -fs /usr/share/icons/oxygen/base/22x22/actions/dialog-ok-apply.png images/ok.png
+	ln -fs /usr/share/icons/oxygen/base/22x22/actions/dialog-cancel.png images/error.png
 	dh_auto_build
 	uglifyjs -o mocha.min.js mocha.js
 
+override_dh_install:
+	dh_install
+	find debian/mocha -name .eslintrc.yml -delete
+	find debian/libjs-mocha -name .eslintrc.yml -delete
+
 override_dh_auto_test:
-	make test-node
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	$(MAKE) test-node
+else
+	@echo '**********************************************************'
+	@echo 'Skip test suite                                           '
+	@echo '**********************************************************'
+endif
 
+override_dh_installdocs:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	jekyll build --source ./docs --destination ./docs/_site --config ./docs/_config.yml --safe --drafts
+else
+	@echo '**********************************************************'
+	@echo 'Skip building doc                                         '
+	@echo '**********************************************************'
+endif
+	dh_installdocs --link-doc=libjs-mocha

=== debian/tests/control ===
Tests: require
Depends: node-mocha, nodejs (>= 6)

Tests: runtestsuite
Depends: node-mocha,
 , node-assert (>= 1.4.1)
 , node-buffer (>= 4.9.1)
 , coffeescript (>= 1.10.0)
 , node-cross-spawn (>= 5.1.0)
 , node-expect.js (>= 0.3.1)
 , node-rimraf (>= 2.5.2)
 , node-should (>= 8.4)
 , node-through2 (>= 2.0.3)

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mochajs/mocha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## node-mocha 4.1.0+ds2

=== debian/changelog ===
node-mocha (4.1.0+ds2-2) unstable; urgency=medium

  * Relax dependency on oxygen-icon-theme for mocha

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Nov 2018 16:29:22 +0100

node-mocha (4.1.0+ds2-1) unstable; urgency=medium

  * Remove Gemfile fix "node-mocha FTBFS: in `require:
    cannot load such file --
    bundler (LoadError)", thanks to Helmut Grohne (Closes: #911552).
  * Bug fix: "Please stop (build-)depending on oxygen-icon-theme", thanks
    to Marga Manterola (Closes: #908133).
    Relax dependency on oxygen-icon-theme. This package is still needed
    due to source lacking for this two icons in node-mocha.
    Icons are imported from oxygen-icon-theme by upstream
  * Use git dpm

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Nov 2018 16:06:44 +0100

=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
  , node-through2 (>= 2.0.3) <!nocheck>
  , node-uglify (>= 2)
  , webpack (>= 3.5.6)
- , oxygen-icon-theme (>= 5:5.45.0)
+ , oxygen-icon-theme
  , jekyll (>= 3) <!nodoc>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://mochajs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
@@ -53,7 +53,7 @@
  , node-mkdirp (>= 0.5.1)
  , node-supports-color (>= 4.4.0)
  , libjs-mocha (= ${source:Version})
- , oxygen-icon-theme (>= 5:5.45.0)
+ , oxygen-icon-theme
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing

## node-mocha 4.1.0+ds3

=== Makefile ===
BROWSERIFY := "node_modules/.bin/browserify"
KARMA := "node_modules/.bin/karma"
MOCHA := "bin/mocha"
NYC := "node_modules/.bin/nyc"

ifdef COVERAGE
define test_node
	$(NYC) --no-clean --report-dir coverage/reports/$(1) $(MOCHA)
endef
else
	test_node := $(MOCHA)
endif

TM_BUNDLE = JavaScript\ mocha.tmbundle
SRC = $(shell find lib -name "*.js" -type f | LC_ALL=C sort)
TESTS = $(shell find test -name "*.js" -type f | sort)

all: mocha.js

mocha.js: $(SRC) browser-entry.js
	@printf "==> [Browser :: build]\n"
	mkdir -p ${@D}
	$(BROWSERIFY) ./browser-entry \
		--require buffer/:buffer \
		--plugin ./scripts/dedefine \
		--ignore 'fs' \
		--ignore 'glob' \
		--ignore 'path' \
		--ignore 'supports-color' > $@

clean:
	@printf "==> [Clean]\n"
	rm -f mocha.js

lint:
	@printf "==> [Test :: Lint]\n"
	npm run lint

test-node: test-bdd test-tdd test-qunit test-exports test-unit test-integration test-jsapi test-compilers test-requires test-reporters test-only test-global-only

test-browser: clean mocha.js test-browser-unit test-browser-bdd test-browser-qunit test-browser-tdd test-browser-exports

test: lint test-node test-browser

test-browser-unit:
	@printf "==> [Test :: Browser]\n"
	NODE_PATH=. $(KARMA) start --single-run

test-browser-bdd:
	@printf "==> [Test :: Browser :: BDD]\n"
	MOCHA_UI=bdd $(MAKE) test-browser-unit

test-browser-qunit:
	@printf "==> [Test :: Browser :: QUnit]\n"
	MOCHA_UI=qunit $(MAKE) test-browser-unit

test-browser-tdd:
	@printf "==> [Test :: Browser :: TDD]\n"
	MOCHA_UI=tdd $(MAKE) test-browser-unit

test-jsapi:
	@printf "==> [Test :: JS API]\n"
	node test/jsapi

test-unit:
	@printf "==> [Test :: Unit]\n"
	$(call test_node,unit) test/unit/*.spec.js \
		test/node-unit/*.spec.js \
		--growl

test-integration:
	@printf "==> [Test :: Integrations]\n"
	$(call test_node,integration) --timeout 5000 --slow 500 \
		test/integration/*.spec.js

test-compilers:
	@printf "==> [Test :: Compilers]\n"
	$(call test_node,compilers-coffee) --compilers coffee:coffee-script/register \
		test/compiler

	$(call test_node,compilers-custom) \
	--compilers foo:./test/compiler-fixtures/foo.fixture \
		test/compiler

	$(call test_node,compilers-multiple) \
		--compilers coffee:coffee-script/register,foo:./test/compiler-fixtures/foo.fixture \
		test/compiler

test-requires:
	@printf "==> [Test :: Requires]\n"
	$(call test_node,requires) --compilers coffee:coffee-script/register \
		--require test/require/a.js \
		--require test/require/b.coffee \
		--require test/require/c.js \
		--require test/require/d.coffee \
		test/require/require.spec.js

test-bdd:
	@printf "==> [Test :: BDD]\n"
	$(call test_node,bdd) --ui bdd \
		test/interfaces/bdd.spec

test-tdd:
	@printf "==> [Test :: TDD]\n"
	$(call test_node,tdd) --ui tdd \
		test/interfaces/tdd.spec

test-qunit:
	@printf "==> [Test :: QUnit]\n"
	$(call test_node,qunit) --ui qunit \
		test/interfaces/qunit.spec

test-exports:
	@printf "==> [Test :: Exports]\n"
	$(call test_node,exports) --ui exports \
		test/interfaces/exports.spec

test-reporters:
	@printf "==> [Test :: Reporters]\n"
	$(call test_node,reporters) test/reporters/*.spec.js

test-only:
	@printf "==> [Test :: Only]\n"
	$(call test_node,only-tdd) --ui tdd \
		test/only/tdd.spec

	$(call test_node,only-bdd) --ui bdd \
		test/only/bdd.spec

	$(call test_node,only-bdd-require) --ui qunit \
		test/only/bdd-require.spec

test-global-only:
	@printf "==> [Test :: Global Only]\n"
	$(call test_node,global-only-tdd) --ui tdd \
		test/only/global/tdd.spec

	$(call test_node,global-only-bdd) --ui bdd \
		test/only/global/bdd.spec

	$(call test_node,global-only-qunit) --ui qunit \
		test/only/global/qunit.spec

test-mocha:
	@printf "==> [Test :: Mocha]\n"
	$(call test_node,mocha) test/mocha

non-tty:
	@printf "==> [Test :: Non-TTY]\n"
	$(call test_node,non-tty-dot) --reporter dot \
		test/interfaces/bdd.spec 2>&1 > /tmp/dot.out

	@echo dot:
	@cat /tmp/dot.out

	$(call test_node,non-tty-list) --reporter list \
		test/interfaces/bdd.spec 2>&1 > /tmp/list.out

	@echo list:
	@cat /tmp/list.out

	$(call test_node,non-tty-spec) --reporter spec \
		test/interfaces/bdd.spec 2>&1 > /tmp/spec.out

	@echo spec:
	@cat /tmp/spec.out

tm:
	@printf "==> [TM]\n"
	open editors/$(TM_BUNDLE)

.PHONY: test-jsapi test-compilers watch test test-node test-bdd test-tdd test-qunit test-exports test-unit test-integration non-tty tm clean test-browser test-browser-unit test-browser-bdd test-browser-qunit test-browser-tdd test-browser-exports lint test-only test-global-only

=== debian/changelog ===
node-mocha (4.1.0+ds3-5) unstable; urgency=medium

  * Team upload
  * Add missing link. Fixes debci

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 Feb 2019 14:53:04 +0100

node-mocha (4.1.0+ds3-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Switch to rollup from webpack (Closes: #921798)

  [ Xavier Guimard ]
  * Use debian/clean
  * Don't publish libjs-mocha for now and modify install (Closes: #917295)
  * Switch tests to pkg-js-tools
  * Change homepage to https://mochajs.org

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Feb 2019 21:02:00 +0100

node-mocha (4.1.0+ds3-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update patch to increase more test timeouts. Fix debci.
  * Hide lintian warning "please use libjs-mocha".
  * Add upstream/metadata file.

  [ Bastien Roucariès ]
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Mon, 14 Jan 2019 16:40:56 +0100

node-mocha (4.1.0+ds3-2) unstable; urgency=medium

  * Increase test timeouts, thanks to Xavier Guimard. Fix debci.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 Jan 2019 23:55:29 +0100

node-mocha (4.1.0+ds3-1) unstable; urgency=high

  * Remove sourceless chai. Link to libjs-chai (Closes: #917328)
  * Add missing link to map file.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Dec 2018 10:10:34 +0100

node-mocha (4.1.0+ds2-3) unstable; urgency=high

  * Fix libjs-mocha by changing webpack options to be like
    upstream browserify command line (Closes: #917294)
  * Create map file for libjs-mocha

 -- Bastien Roucariès <rouca@debian.org>  Tue, 25 Dec 2018 19:29:45 +0100

=== debian/control ===
Source: node-mocha
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs (>= 6)
 , rollup
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-buble
 , node-browser-stdout <!nocheck>
 , node-commander (>= 2.11.0) <!nocheck>
 , node-debug (>= 3.1) <!nocheck>
 , node-diff (>= 1.3) <!nocheck>
 , node-escape-string-regexp <!nocheck>
 , node-glob (>= 7.1.2) <!nocheck>
 , node-growl <!nocheck>
 , node-he <!nocheck>
 , node-mkdirp (>= 0.5.1) <!nocheck>
 , node-supports-color (>= 4.4.0) <!nocheck>
 , node-assert <!nocheck>
 , node-buffer <!nocheck>
 , coffeescript (>= 1.10.0) <!nocheck>
 , node-cross-spawn (>= 5.1.0) <!nocheck>
 , node-expect.js <!nocheck>
 , node-rimraf (>= 2.5.2) <!nocheck>
 , node-should (>= 8.4) <!nocheck>
 , node-through2 (>= 2.0.3) <!nocheck>
 , pkg-js-tools
 , uglifyjs
 , node-source-map
# , webpack (>= 3.5.6)
 , oxygen-icon-theme
 , jekyll (>= 3) <!nodoc>
 , libjs-chai <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Homepage: https://mochajs.org

Package: mocha
Architecture: all
Depends: ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp
 , node-glob (>= 7.1.2)
 , node-growl
 , node-he
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , oxygen-icon-theme
Suggests: chai
Pre-Depends: dpkg (>= 1.17.14)
Provides: node-mocha (= ${source:Version})
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

#Package: libjs-mocha
#Architecture: all
#Recommends: javascript-common
#Multi-Arch: foreign
#Depends:
# ${misc:Depends}
# , mocha
#Suggests: libjs-chai <!nodoc>
#Description: simple, flexible, fun test framework - JavaScript library
# Mocha is a feature-rich JavaScript test framework running
# on Node.js and browser, making asynchronous testing
# simple and fun.
# .
# Mocha tests run serially, allowing for flexible and accurate
# reporting, while mapping uncaught exceptions to the correct
# test cases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

MOCHA_SRC=$(shell find lib -name "*.js" -type f | LC_ALL=C sort)
WEBPACK=NODE_PATH='/usr/share/nodejs:/usr/lib/nodejs' webpack --verbose

mocha.js: browser-entry.js $(MOCHA_SRC)
	#$(WEBPACK) --config debian/webpack.config.js
	# Kept for now even if libjs-mocha isn't released
	# (missing dependencies)
	rollup -c debian/rollup.config.js

mocha.min.js: mocha.js
	uglifyjs --source-map -o $@ $<

override_dh_auto_build: mocha.js mocha.min.js
	mkdir -p images
	ln -fs /usr/share/icons/oxygen/base/22x22/actions/dialog-ok-apply.png images/ok.png
	ln -fs /usr/share/icons/oxygen/base/22x22/actions/dialog-cancel.png images/error.png

override_dh_install:
	dh_install
	find debian/mocha -name .eslintrc.yml -delete
	#find debian/libjs-mocha -name .eslintrc.yml -delete

docs/example/chai.js:
	ln -sf /usr/share/javascript/chai/chai.js docs/example/chai.js

override_dh_installdocs: docs/example/chai.js
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	jekyll build --source ./docs --destination ./docs/_site --config ./docs/_config.yml --safe --drafts
	rm -f docs/_site/CNAME
	rm -f docs/_site/example/chai.js
	ln -sf /usr/share/javascript/chai/chai.js docs/_site/example/chai.js
else
	@echo '**********************************************************'
	@echo 'Skip building doc                                         '
	@echo '**********************************************************'
endif
	dh_installdocs
	#dh_installdocs --link-doc=libjs-mocha

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_installexamples: docs/example/chai.js
	dh_installexamples
endif

=== debian/watch ===
version=4
opts="repacksuffix=+ds3, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mochajs/mocha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## node-mocha 7.0.1%2Bds1

=== debian/watch ===
version=4
opts="repacksuffix=+ds1, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mochajs/mocha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

opts=\
component=ansi-colors,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-ansi-colors-$1.tar.gz/ \
 https://github.com/doowb/ansi-colors/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=log-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-log-symbols-$1.tar.gz/ \
 https://github.com/sindresorhus/log-symbols/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=node-environment-flags,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-environment-flags-$1.tar.gz/ \
 https://github.com/boneskull/node-environment-flags/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=objectassign,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object.assign-$1.tar.gz/ \
 https://github.com/ljharb/object.assign/tags .*/archive/v?([\d\.]+).tar.gz ignore

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=yargs-unparser,pgpmode=none" \
 https://registry.npmjs.org/yargs-unparser https://registry.npmjs.org/yargs-unparser/-/yargs-unparser-([\d\.]+)@ARCHIVE_EXT@ ignore

opts=\
component=object-keys,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object-keys-$1.tar.gz/ \
 https://github.com/ljharb/object-keys/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=has-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-has-symbols-$1.tar.gz/ \
 https://github.com/ljharb/has-symbols/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=flat,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-flat-$1.tar.gz/ \
 https://github.com/hughsk/flat/tags .*/archive/v?([\d\.]+).tar.gz ignore

### TEST DEPENDENCIES, will be packaged separately
#opts=\
#component=unexpected,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-unexpected-$1.tar.gz/ \
# https://github.com/unexpectedjs/unexpected/tags .*/archive/v?([\d\.]+).tar.gz ignore
#
#opts=\
#component=greedy-interval-packer,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-greedy-interval-packer-$1.tar.gz/ \
# https://github.com/One-com/greedy-interval-packer/tags .*/archive/v?([\d\.]+).tar.gz ignore
#
#opts=\
#component=magicpen,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-magicpen-$1.tar.gz/ \
# https://github.com/sunesimonsen/magicpen/tags .*/archive/v?([\d\.]+).tar.gz ignore
#
#opts=\
#component=color-diff,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-color-diff-$1.tar.gz/ \
# https://github.com/markusn/color-diff/tags .*/archive/v?([\d\.]+).tar.gz ignore
#

## node-mocha 7.0.1+ds1

=== debian/changelog ===
node-mocha (7.0.1+ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Update copyright
  * Update manpage (Closes: #942116)
  * Remove useless debian/mocha.dirs

 -- Xavier Guimard <yadd@debian.org>  Thu, 13 Feb 2020 20:15:40 +0100

node-mocha (7.0.1+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.0.1+ds1
  * Add dependency to node-chokidar
  * Don't launch test during build to avoid circular dependencies

 -- Xavier Guimard <yadd@debian.org>  Thu, 06 Feb 2020 15:32:22 +0100

node-mocha (6.2.0+ds1-5) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Update lintian overrides
  * Require node-lodash ≥ 4.17.15+dfsg-2~ to avoid autopkgtest regressions

 -- Xavier Guimard <yadd@debian.org>  Fri, 31 Jan 2020 06:30:34 +0100

node-mocha (6.2.0+ds1-4) experimental; urgency=medium

  * Team upload
  * Add dependency to node-chalk
  * Build depends on pkg-js-tools ≥ 0.9.19~ to fix component install

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Nov 2019 06:54:44 +0100

node-mocha (6.2.0+ds1-3) experimental; urgency=medium

  * Team upload
  * Require pkg-js-tools ≥ 0.9.18 to fix yargs-unparser install (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Nov 2019 18:20:20 +0100

node-mocha (6.2.0+ds1-2) experimental; urgency=medium

  * Team upload
  * Update debian/copyright
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add dependency to node-is-buffer (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Nov 2019 22:11:59 +0100

node-mocha (6.2.0+ds1-1) experimental; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Fix repacksuffix
  * New upstream version 6.2.0+ds1 (Closes: #939461)
  * Refresh patches
  * Update rollup config and use rollup-plugin-ignore (embedded)
  * Switch build and install to pkg-js-tools
  * Embed ansi-colors, log-symbols, node-environment-flags, object.assign,
    object-keys, has-symbols and flat as components
  * Add node-define-properties in dependencies
  * Replace oxygen-icon-theme dependency by a simple copy of the 2 images
    needed (Closes: #935323)
  * Embed object-keys, has-symbols and flat
  * Update lintian overrides
  * Replace test by a simple mocha --help (waiting for "unexpected" package)
  * Remove jekyll from build dependencies

 -- Xavier Guimard <yadd@debian.org>  Sat, 07 Sep 2019 20:18:02 +0200

=== debian/control ===
Source: node-mocha
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs (>= 6)
 , rollup
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-buble
 , node-rollup-plugin-json
 , node-buble
 , pkg-js-tools (>= 0.9.19~)
 , uglifyjs
 , node-source-map
# , webpack (>= 3.5.6)
 , oxygen-icon-theme
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Homepage: https://mochajs.org
Rules-Requires-Root: no

Package: mocha
Architecture: all
Depends: ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout
 , node-chalk
 , node-chokidar
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-define-properties
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp
 , node-function-bind
 , node-glob (>= 7.1.2)
 , node-growl (>= 1.10.5)
 , node-he (>= 1.2.0)
 , node-is-buffer
 , node-js-yaml (>= 3.13.1)
 , node-lodash (>= 4.17.15+dfsg-2~)
 , node-minimatch (>= 3.0.4)
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , node-wide-align (>= 1.1.3)
 , node-yargs(>= 13.2.2)
 , node-yargs-parser (>= 13.0.0)
Suggests: chai
Provides: node-mocha (= ${source:Version})
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

#Package: libjs-mocha
#Architecture: all
#Recommends: javascript-common
#Multi-Arch: foreign
#Depends:
# ${misc:Depends}
# , mocha
#Suggests: libjs-chai <!nodoc>
#Description: simple, flexible, fun test framework - JavaScript library
# Mocha is a feature-rich JavaScript test framework running
# on Node.js and browser, making asynchronous testing
# simple and fun.
# .
# Mocha tests run serially, allowing for flexible and accurate
# reporting, while mapping uncaught exceptions to the correct
# test cases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_test:
	# No test during build to avoid circular dependencies

## node-mocha 7.0.1+ds1+~cs28.9.11

=== debian/changelog ===
node-mocha (7.0.1+ds1+~cs28.9.11-1) unstable; urgency=medium

  * Team upload
  * Embed @types/mocha
  * New upstream version 7.0.1+ds1+~cs28.9.11
  * Add dependency to node-strip-json-comments (Closes: #968182)
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Oct 2020 11:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , nodejs (>= 6)
- , rollup
+ debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , node-source-map
  , node-rollup-plugin-node-resolve
  , node-rollup-plugin-commonjs
  , node-rollup-plugin-buble
  , node-rollup-plugin-json
  , node-buble
- , pkg-js-tools (>= 0.9.19~)
+ , nodejs (>= 6)
+ , oxygen-icon-theme
+ , rollup
  , uglifyjs
- , node-source-map
 # , webpack (>= 3.5.6)
- , oxygen-icon-theme
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
 Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
@@ -29,6 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}
  , nodejs (>= 4)
+ , node-ansi-colors
  , node-browser-stdout
  , node-chalk
  , node-chokidar
@@ -47,11 +48,13 @@
  , node-minimatch (>= 3.0.4)
  , node-mkdirp (>= 0.5.1)
  , node-supports-color (>= 4.4.0)
+ , node-strip-json-comments
  , node-wide-align (>= 1.1.3)
  , node-yargs(>= 13.2.2)
  , node-yargs-parser (>= 13.0.0)
 Suggests: chai
 Provides: node-mocha (= ${source:Version})
+Breaks: node-typescript-types (<< 20201003-1~)
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_test:
 	# No test during build to avoid circular dependencies

=== debian/watch ===
version=4
opts="repacksuffix=+ds1, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/mochajs/mocha/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz group

opts=\
component=log-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-log-symbols-$1.tar.gz/ \
 https://github.com/sindresorhus/log-symbols/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=node-environment-flags,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-environment-flags-$1.tar.gz/ \
 https://github.com/boneskull/node-environment-flags/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=objectassign,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object.assign-$1.tar.gz/ \
 https://github.com/ljharb/object.assign/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=yargs-unparser,pgpmode=none" \
 https://registry.npmjs.org/yargs-unparser https://registry.npmjs.org/yargs-unparser/-/yargs-unparser-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=object-keys,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object-keys-$1.tar.gz/ \
 https://github.com/ljharb/object-keys/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=has-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-has-symbols-$1.tar.gz/ \
 https://github.com/ljharb/has-symbols/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=flat,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-flat-$1.tar.gz/ \
 https://github.com/hughsk/flat/tags .*/archive/v?([\d\.]+).tar.gz checksum

### TEST DEPENDENCIES, will be packaged separately
#opts=\
#component=unexpected,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-unexpected-$1.tar.gz/ \
# https://github.com/unexpectedjs/unexpected/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=greedy-interval-packer,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-greedy-interval-packer-$1.tar.gz/ \
# https://github.com/One-com/greedy-interval-packer/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=magicpen,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-magicpen-$1.tar.gz/ \
# https://github.com/sunesimonsen/magicpen/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=color-diff,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-color-diff-$1.tar.gz/ \
# https://github.com/markusn/color-diff/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
## It is not recommended use npmregistry. Please investigate more.
## Take a look at https://wiki.debian.org/debian/watch/
#opts="searchmode=plain,component=unexpected-bluebird,pgpmode=none" \
